Bug 1337320 - [ceph-ansible] : UBUNTU : ISO installation fails because it skips mounting ISO and always looks for deb packages
Summary: [ceph-ansible] : UBUNTU : ISO installation fails because it skips mounting IS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 2
Assignee: Alfredo Deza
QA Contact: Rachana Patel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 19:48 UTC by Rachana Patel
Modified: 2016-08-23 19:51 UTC (History)
8 users (show)

Fixed In Version: ceph-ansible-1.0.5-15.el7scon
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:51:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Rachana Patel 2016-05-18 19:48:36 UTC
Description of problem:
=======================
ceph isntallation using ISO failed as it skips mounting ISO and looking for deb packages


Version-Release number of selected component (if applicable):
=============================================================
ceph-ansible-1.0.5-12.el7scon.noarch


How reproducible:
================
always


Steps to Reproduce:
===================
1. perform prerequisite on all nodes
2. modify inventory file as below
[mons]
magna074
 
[osds]
magna074
 

3. modify below variable in 'all' and 'osds' file.

fetch_directory:
ceph_stable: true
ceph_stable_rh_storage: true
ceph_stable_rh_storage_iso_install: true # usually used when nodes don't have access to cdn.redhat.com
ceph_stable_rh_storage_iso_path: 
 public_network
cephx: true
monitor_interface: eno1
journal_size: 100
journal_collocation: true
crush_location: false
osd_crush_location: "'root={{ ceph_crush_root }} rack={{ ceph_crush_rack }} host={{ ansible_hostname }}'"
 
devices:
  - /dev/sdb
  - /dev/sdc


4. copy ISO on installer node and update iso_path accordingly in 'all' file

5. run below command 
[root@magna044 ceph-ansible]# ansible-playbook site.yml


Actual results:
===============
TASK: [ceph.ceph-common | install dependencies] ******************************* 
<magna074> REMOTE_MODULE apt pkg=python-pycurl,hdparm,ntp state=present
ok: [magna074] => (item=python-pycurl,hdparm,ntp) => {"changed": false, "item": "python-pycurl,hdparm,ntp"}

TASK: [ceph.ceph-common | install red hat storage ceph mon] ******************* 
<magna074> REMOTE_MODULE apt name=ceph-mon state=present
failed: [magna074] => {"failed": true}
msg: No package matching 'ceph-mon' is available

FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/home/ubuntu/site.retry

magna074                   : ok=21   changed=0    unreachable=0    failed=1


Expected results:


Additional info:
================

TASK: [ceph.ceph-common | create red hat storage package directories] *********
skipping: [magna074] => (item=/tmp/rh-storage-mount)
skipping: [magna074] => (item=/tmp/rh-storage-repo)

Comment 2 Rachana Patel 2016-05-18 19:50:49 UTC
[ubuntu@magna044 ceph-ansible]$ ansible-playbook site.yml -vv -i  /etc/ansible/ubuntu  
 
PLAY [mons] *******************************************************************
 
GATHERING FACTS ***************************************************************
<magna074> REMOTE_MODULE setup
ok: [magna074]
 
TASK: [ceph.ceph-common | fail on unsupported system] *************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | fail on unsupported architecture] *******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | fail on unsupported distribution] *******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | fail on unsupported distribution for red hat storage] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | fail on unsupported ansible version] ****************
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure an installation origin was chosen] ********
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure an installation source was chosen] ********
skipping: [magna074]
 
TASK: [ceph.ceph-common | verify that a method was chosen for red hat storage] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure journal_size configured] ******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure monitor_interface or monitor_address is configured] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure cluster_network configured] ***************
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure public_network configured] ****************
skipping: [magna074]
 
TASK: [ceph.ceph-common | make sure an osd scenario was chosen] ***************
skipping: [magna074]
 
TASK: [ceph.ceph-common | verify only one osd scenario was chosen] ************
skipping: [magna074]
 
TASK: [ceph.ceph-common | verify devices have been provided] ******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | verify journal devices have been provided] **********
skipping: [magna074]
 
TASK: [ceph.ceph-common | verify directories have been provided] **************
skipping: [magna074]
 
TASK: [ceph.ceph-common | check if nmap is installed] *************************
<magna074> REMOTE_MODULE command command -v nmap
ok: [magna074] => {"changed": false, "cmd": "command -v nmap", "failed": false, "failed_when_result": false, "msg": "[Errno 2] No such file or directory", "rc": 2}
 
TASK: [ceph.ceph-common | inform that nmap is not present] ********************
ok: [magna074] => {
    "msg": "nmap is not installed, can not test if ceph ports are allowed :("
}
 
TASK: [ceph.ceph-common | check if monitor port is not filtered] **************
skipping: [magna074] => (item=magna074)
 
TASK: [ceph.ceph-common | fail if monitor port is filtered] *******************
skipping: [magna074] => (item={u'skipped': True, u'changed': False})
 
TASK: [ceph.ceph-common | check if osd and mds range is not filtered] *********
skipping: [magna074] => (item=magna074)
 
TASK: [ceph.ceph-common | fail if osd and mds range is filtered (osd hosts)] ***
skipping: [magna074] => (item={u'skipped': True, u'changed': False})
 
TASK: [ceph.ceph-common | check if osd and mds range is not filtered] *********
skipping: [magna074] => (item=groups.mdss)
 
TASK: [ceph.ceph-common | fail if osd and mds range is filtered (mds hosts)] ***
skipping: [magna074] => (item={u'skipped': True, u'changed': False})
 
TASK: [ceph.ceph-common | check if rados gateway port is not filtered] ********
skipping: [magna074] => (item=groups.rgws)
 
TASK: [ceph.ceph-common | fail if rados gateway port is filtered] *************
skipping: [magna074] => (item={u'skipped': True, u'changed': False})
 
TASK: [ceph.ceph-common | disable osd directory parsing by updatedb] **********
<magna074> REMOTE_MODULE command updatedb -e /var/lib/ceph
ok: [magna074] => {"changed": false, "cmd": ["updatedb", "-e", "/var/lib/ceph"], "delta": "0:00:00.045044", "end": "2016-05-18 19:24:29.503903", "failed": false, "failed_when_result": false, "rc": 0, "start": "2016-05-18 19:24:29.458859", "stderr": "", "stdout": "", "warnings": []}
 
TASK: [ceph.ceph-common | disable transparent hugepage] ***********************
<magna074> REMOTE_MODULE command echo never > /sys/kernel/mm/transparent_hugepage/enabled
ok: [magna074] => {"changed": false, "cmd": ["echo", "never", ">", "/sys/kernel/mm/transparent_hugepage/enabled"], "delta": "0:00:00.001598", "end": "2016-05-18 19:24:29.649121", "failed": false, "failed_when_result": false, "rc": 0, "start": "2016-05-18 19:24:29.647523", "stderr": "", "stdout": "never > /sys/kernel/mm/transparent_hugepage/enabled", "warnings": []}
 
TASK: [ceph.ceph-common | disable swap] ***************************************
<magna074> REMOTE_MODULE command swapoff -a
ok: [magna074] => {"changed": false, "cmd": ["swapoff", "-a"], "delta": "0:00:00.002198", "end": "2016-05-18 19:24:29.801923", "failed": false, "failed_when_result": false, "rc": 0, "start": "2016-05-18 19:24:29.799725", "stderr": "", "stdout": "", "warnings": []}
 
TASK: [ceph.ceph-common | get default vm.min_free_kbytes] *********************
<magna074> REMOTE_MODULE command sysctl -b vm.min_free_kbytes
ok: [magna074] => {"changed": false, "cmd": ["sysctl", "-b", "vm.min_free_kbytes"], "delta": "0:00:00.001741", "end": "2016-05-18 19:24:29.952720", "failed": false, "failed_when_result": false, "rc": 0, "start": "2016-05-18 19:24:29.950979", "stderr": "", "stdout": "22911", "stdout_lines": ["22911"], "warnings": []}
 
TASK: [ceph.ceph-common | define vm.min_free_kbytes] **************************
ok: [magna074] => {"ansible_facts": {"vm_min_free_kbytes": "22911"}}
 
TASK: [ceph.ceph-common | apply operating system tuning] **********************
<magna074> REMOTE_MODULE sysctl value=4194303 name=kernel.pid_max sysctl_file=/etc/sysctl.conf state=present
ok: [magna074] => (item={'name': 'kernel.pid_max', 'value': 4194303}) => {"changed": false, "item": {"name": "kernel.pid_max", "value": 4194303}}
<magna074> REMOTE_MODULE sysctl value=26234859 name=fs.file-max sysctl_file=/etc/sysctl.conf state=present
ok: [magna074] => (item={'name': 'fs.file-max', 'value': 26234859}) => {"changed": false, "item": {"name": "fs.file-max", "value": 26234859}}
<magna074> REMOTE_MODULE sysctl value=0 name=vm.zone_reclaim_mode sysctl_file=/etc/sysctl.conf state=present
ok: [magna074] => (item={'name': 'vm.zone_reclaim_mode', 'value': 0}) => {"changed": false, "item": {"name": "vm.zone_reclaim_mode", "value": 0}}
<magna074> REMOTE_MODULE sysctl value=50 name=vm.vfs_cache_pressure sysctl_file=/etc/sysctl.conf state=present
ok: [magna074] => (item={'name': 'vm.vfs_cache_pressure', 'value': 50}) => {"changed": false, "item": {"name": "vm.vfs_cache_pressure", "value": 50}}
<magna074> REMOTE_MODULE sysctl value=22911 name=vm.min_free_kbytes sysctl_file=/etc/sysctl.conf state=present
ok: [magna074] => (item={'name': 'vm.min_free_kbytes', 'value': u'22911'}) => {"changed": false, "item": {"name": "vm.min_free_kbytes", "value": "22911"}}
 
TASK: [ceph.ceph-common | create ice package directory] ***********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | get ice packages] ***********************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | get ice Kernel Modules] *****************************
skipping: [magna074] => (item=kmod-libceph-3.10-0.1.20140702gitdc9ac62.el7.x86_64.rpm)
skipping: [magna074] => (item=kmod-rbd-3.10-0.1.20140702gitdc9ac62.el7.x86_64.rpm)
 
TASK: [ceph.ceph-common | stat extracted ice repo files] **********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | extract ice packages] *******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | move ice extracted packages] ************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | create red hat storage package directories] *********
skipping: [magna074] => (item=/tmp/rh-storage-mount)
skipping: [magna074] => (item=/tmp/rh-storage-repo)
 
TASK: [ceph.ceph-common | fetch the red hat storage iso from the ansible server] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | mount red hat storage iso file] *********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | copy red hat storage iso content] *******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | unmount red hat storage iso file] *******************
skipping: [magna074]
 
TASK: [ceph.ceph-common | determine if node is registered with subscription-manager.] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | check if the red hat optional repo is present] ******
skipping: [magna074]
 
TASK: [ceph.ceph-common | enable red hat optional repository] *****************
skipping: [magna074]
 
TASK: [ceph.ceph-common | check if the red hat storage monitor repo is already present] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | enable red hat storage monitor repository] **********
skipping: [magna074]
 
TASK: [ceph.ceph-common | check if the red hat storage osd repo is already present] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | enable red hat storage osd repository] **************
skipping: [magna074]
 
TASK: [ceph.ceph-common | check if the red hat storage rados gateway repo is already present] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | enable red hat storage rados gateway repository] ****
skipping: [magna074]
 
TASK: [ceph.ceph-common | install dependencies] *******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install dependencies] *******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install dependencies] *******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install the ceph stable repository key] *************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install the ceph development repository key] ********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install inktank ceph enterprise repository key] *****
skipping: [magna074]
 
TASK: [ceph.ceph-common | install red hat storage repository key] *************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph stable repository] *************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph stable repository] *************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph development repository] ********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph development repository] ********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add inktank ceph enterprise repository] *************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add red hat storage repository] *********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph] ***************************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | set_fact ceph_stable_rel_pkg="{{ ceph_stable_releases | union([ 'infernalis' ]) }}"
] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | install distro or red hat storage ceph mon] *********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install distro or red hat storage ceph mon] *********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install distro or red hat storage ceph osd] *********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install distro or red hat storage ceph osd] *********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph-test] **********************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph-test] **********************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install Inktank Ceph Enterprise RBD Kernel modules] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | install Inktank Ceph Enterprise RBD Kernel modules] ***
skipping: [magna074]
 
TASK: [ceph.ceph-common | install rados gateway] ******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install rados gateway] ******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install dependencies] *******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install the ceph repository stable key] *************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install the ceph development repository key] ********
skipping: [magna074]
 
TASK: [ceph.ceph-common | install intank ceph enterprise repository key] ******
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph stable repository] *************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add ceph development repository] ********************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add inktank ceph enterprise repository] *************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph] ***************************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph-test] **********************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install rados gateway] ******************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | install ceph mds] ***********************************
skipping: [magna074]
 
TASK: [ceph.ceph-common | add the red hat storage apt-key] ********************
<magna074> REMOTE_MODULE apt_key state=present url=https://www.redhat.com/security/fd431d51.txt
ok: [magna074] => {"changed": false}
 
TASK: [ceph.ceph-common | install dependencies] *******************************
<magna074> REMOTE_MODULE apt pkg=python-pycurl,hdparm,ntp state=present
ok: [magna074] => (item=python-pycurl,hdparm,ntp) => {"changed": false, "item": "python-pycurl,hdparm,ntp"}
 
TASK: [ceph.ceph-common | install red hat storage ceph mon] *******************
<magna074> REMOTE_MODULE apt name=ceph-mon state=present
failed: [magna074] => {"failed": true}
msg: No package matching 'ceph-mon' is available
 
FATAL: all hosts have already failed -- aborting
 
PLAY RECAP ********************************************************************
           to retry, use: --limit @/home/ubuntu/site.retry
 
magna074                   : ok=21   changed=0    unreachable=0    failed=1

Comment 3 Alfredo Deza 2016-05-18 20:42:02 UTC
Pull Request opened upstream https://github.com/ceph/ceph-ansible/pull/795

Comment 4 Ken Dreyer (Red Hat) 2016-05-19 04:15:30 UTC
PR merged; need to cherry-pick this to Gerrit

Comment 5 Alfredo Deza 2016-05-19 11:03:49 UTC
There is apparently no Ubuntu support to get those repos working. The merged pull request upstream just covered the case of ISO install in Ubuntu: it will now allow an Ubuntu server to get the ISO mounted and the contents copied locally.

However, it will fail to add those repositories to the server and no packages will be able to get installed.

This will need more work to get it closed. Moving it back to ASSIGNED.

Comment 6 Alfredo Deza 2016-05-19 18:49:55 UTC
Upstream PR opened https://github.com/ceph/ceph-ansible/pull/800

Comment 10 Rachana Patel 2016-07-28 19:56:22 UTC
erified with 

ceph-ansible-1.0.5-31.el7scon.noarch
ceph - 10.2.2-29.el7cp.x86_64

- working as expected hence moving to verified.

Comment 12 errata-xmlrpc 2016-08-23 19:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.